package fr.asip.cps3.exemple.vues.ecrans;

import fr.asip.cps3.exemple.vues.FenetrePrincipale;
import fr.asip.cps3.exemple.vues.composants.BarreStatut;

/**
 * Classe abstraite permettant de modéliser un écran de résultat ou de saisie
 */
public abstract class Ecran {
	
	/**
	 * Type écran
	 */
	protected int type = 0;
	
	/**
	 * Barre de statut
	 */
	protected BarreStatut barreStatut;		
	
	/**
	 * La fenêtre accueillant l'écran
	 */
	protected FenetrePrincipale fenetre;	

	/**
	 * Constructeur
	 * @param fenetre La fenêtre qui doit contenir l'écran
	 */
	public Ecran(FenetrePrincipale fenetre) {

		this.fenetre = fenetre;
		barreStatut = new BarreStatut(fenetre.getBarreStatut().getText());
		
	}

	/**
	 * Affiche les champs de l'écran
	 */
    public abstract void affiche();

	/**
	 * Mutateur
	 * @param type Type d'écran
	 */
	public void setType(int type) {
		this.type = type;
	}

	/**
	 * Accesseur
	 * @return Type d'écran
	 */
	public int getType() {
		return type;
	}


    
    
}
